c =======================================================
      program demo2
C     ----------------------------------------------------------------
C     ----------------------------------------------------------------
      implicit double precision (a-h,o-z)
      integer A,Z
      parameter (maxSet=361)

      data x,Q  /0.1d0, 10.0d0/
      dimension pdf(-6:6),pdfN1(-6:6),pdfN2(-6:6),pdf0(-6:6)
      dimension ialist(maxSet), izlist(maxSet)
      character tlist(maxSet)*132, file*132,file1*132, file2*132,  dir*40
      character nlist(maxSet)*40, name*40
 
      include 'pdfNames.f'        !*** Names of PDS files and (A,Z) values
 
      data dir /'./Grids/'/  !*** DIRECTORY OF PDS FILES
c ------------------------------------------------------
      CALL TRMSTR(DIR,IDIR)  !*** find length of directory name
 
	file1=dir(1:Idir)//'decut3_1_1.pds'  !*** Join the string
	file2=dir(1:Idir)//'decut3_207_103.pds'  !*** Join the string

	Call Set2NPDF (file1,file2,ierr)
c =======
1     continue
      write(6,*) 'enter x,Q'
      read (5,*) x,q

      write(6,*) ' --------------------------------------'
      write(6,*) ' x,Q = ',x,Q
      write(6,*) ' --------------------------------------'
      write(6,*) 
     >   '       FILE NAME         A   Z  :(Dbar,Ubar,G,U,D,S,C,B)'
c =======
	iA = 1
	iZ = 1

	do iptn=-5,5
	 pdfN1(iptn)= Ctq2Npdf(1,iptn,x,Q,iA,iZ)  !*** Get A,Z adjusted nucleon values
	enddo   !*** End of loop over partons
	
	write(6,112) 'decut3_1_1',ia,iz,(pdfN1(i),i=-2,5,1)
c =======
	iA = 207
	iZ = 103

	do iptn=-5,5
	 pdfN2(iptn)= Ctq2Npdf(2,iptn,x,Q,iA,iZ)  !*** Get A,Z adjusted nucleon values
	enddo   !*** End of loop over partons
	
	write(6,112) 'decut3_207_103',ia,iz,(pdfN2(i),i=-2,5,1)

 112   Format(A20,' || ',2(I3,1x),9(1pg10.3,1x))

c =======  write out ratios
	write(6,113) ' RATIO(2/1) ',(pdfN2(i)/pdfN1(i),i=-2,5,1)
 113    Format(A20,' || ',8x,9(1pg10.3,1x))

        goto 1

c ------------------------------------------------------
      end
c =======================================================
